<template>
  <div class="auth-page">
    <div class="logo">
      <!-- <img src="https://placehold.co/48x48?text=%3E_" /> -->
      <div class="placeholder-logo">&nbsp;</div>
      <div class="logo-text">
        <span class="indent">Indent</span><span class="dot">.</span><span class="cloud">Cloud</span>
      </div>
    </div>

    <div id="central-card-form">
      <div class="outer">
        <div class="middle">
          <h2>Login to Indent.Cloud</h2>
          <el-card shadow="never">
            <el-form label-position="top" label-width="100px" :model="auth">
              <el-form-item label="Username">
                <el-input v-model="auth.username" autofocus></el-input>
              </el-form-item>
              <el-form-item label="Password">
                <el-input v-model="auth.password" show-password></el-input>
              </el-form-item>
              <el-form-item>
                <el-button id="login-button" type="primary" @click="onSubmit" round>Login</el-button>
              </el-form-item>
              <div id="additional-links">
                <router-link to="/register" class="el-link el-link--success is-underline">Create a new account</router-link>
                <el-divider direction="vertical"></el-divider>
                <router-link to="/forgotpassword" class="el-link el-link--warning is-underline">Forgot my password</router-link>
              </div>
            </el-form>
          </el-card>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        auth: {
          username: '',
          password: '',
          rememberMe: ''
        }
      };
    },
    methods: {
      onSubmit() {
        this.$message({
          dangerouslyUseHTMLString: true,
          message: '<strong>Login Failed</strong><div>Invalid username and/or password</div>',
          type: 'error'
        });
      }
    }
  }
</script>

<style lang="scss">
  @import '@/assets/scss/central-card-form.scss';
</style>